> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DDoS protection price

> Get the DDoS protection price based on mitigation capacity.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/pricing/{region_id}/ddos
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/pricing/{region_id}/ddos:
    get:
      tags:
        - DDoS Protection
      summary: Get DDoS protection price
      description: Get the DDoS protection price based on mitigation capacity.
      operationId: DdosPricingHandler.get
      parameters:
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DDosPricingPreviewResponseSerializer'
components:
  schemas:
    DDosPricingPreviewResponseSerializer:
      example:
        current_month_days: 31
        current_month_days_last: 26
        next_month_days: 30
        price:
          feature_name: Advanced DDoS Protection Bare-metal Servers
          period: day
          price_currency: EUR
          price_per_30d: 60
          price_per_day: 2
          price_per_hour: 0.08333333333333333
          unit_name: PC
          unit_size: 1
      examples:
        - current_month_days: 31
          current_month_days_last: 26
          next_month_days: 30
          price:
            feature_name: Advanced DDoS Protection Bare-metal Servers
            period: day
            price_currency: EUR
            price_per_30d: 60
            price_per_day: 2
            price_per_hour: 0.08333333333333333
            unit_name: PC
            unit_size: 1
      properties:
        current_month_days:
          description: Number of days in the current month
          title: Current Month Days
          type: integer
        current_month_days_last:
          description: Number of days left in the current month
          title: Current Month Days Last
          type: integer
        next_month_days:
          description: Number of days in the next month
          title: Next Month Days
          type: integer
        price:
          $ref: '#/components/schemas/DDosPriceDetailsSerializer'
          description: DDoS protection price details
      required:
        - price
        - current_month_days_last
        - current_month_days
        - next_month_days
      title: DDosPricingPreviewResponseSerializer
      type: object
    DDosPriceDetailsSerializer:
      properties:
        feature_name:
          description: Name of the billing feature
          title: Feature Name
          type: string
        period:
          description: Period of the price
          title: Period
          type: string
        price_currency:
          description: Currency code (3 letter code per ISO 4217)
          enum:
            - AZN
            - EUR
            - USD
          title: Price Currency
          type: string
        price_per_30d:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Price of the feature charged per 30 days
          title: Price Per 30D
        price_per_day:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Price of the feature charged per day
          title: Price Per Day
        price_per_hour:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Price of the feature charged per hour
          title: Price Per Hour
        unit_name:
          description: Name of the unit
          title: Unit Name
          type: string
        unit_size:
          description: Number of units
          title: Unit Size
          type: integer
      required:
        - feature_name
        - period
        - unit_name
        - unit_size
        - price_currency
      title: DDosPriceDetailsSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````